﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.PageReport rpt=new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(@"RdlReport1.rdlx"));
            GrapeCity.ActiveReports.Document.PageDocument rptd=new GrapeCity.ActiveReports.Document.PageDocument(rpt);
            rpt.Run();      
            viewer1.LoadDocument(rptd);
        }
        Timer timer = null;
        int pagecount = 0;

        private void viewer1_LoadCompleted(object sender, EventArgs e)
        {
            string pages = viewer1.Toolbar.ToolStrip.Items[21].Text;
            pages = pages.Substring(pages.IndexOf("/")+1);
            pagecount = int.Parse(pages);
            
            timer = new Timer();
            timer.Interval = 2000;
            timer.Tick += timer_Tick;
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            if (viewer1.CurrentPage < pagecount)
            {
                viewer1.CurrentPage += 1;
            }
            else
            {
                timer.Stop();
            }
        }
    }
}
